Subject: Re: git://oss.sgi.com broke

From: Andrew Morton <[email-masked]>
Date: Tue, 7 Oct 2008 10:32:08 -0700

On Mon, 6 Oct 2008 13:58:02 -0400 (EDT) Daniel Barkalow <[email-masked]> wrote:

> On Mon, 6 Oct 2008, Linus Torvalds wrote:
> 
> > On Fri, 3 Oct 2008, Andrew Morton wrote:
> > >
> > > y:/usr/src/git26> git --version
> > > git version 1.5.6.rc0
> > > 
> > > y:/usr/src/git26> cat .git/branches/git-xfs
> > > git://oss.sgi.com:8090/xfs/xfs-2.6.git#master
> > 
> > Hmm. That's the really old and deprecated branch format.
> > 
> > I'm getting a "Connection refused" from oss.sgi.com, and I think there's 
> > possibly something broken there, but quite independently of that, maybe we 
> > can try to teach you another way to set up remote branches?
> > 
> > In your .git/config file, use
> > 
> > 	[remote "git-xfs"]
> > 		url = git://oss.sgi.com:8090/xfs/xfs-2.6.git
> > 		fetch = master
> > 
> > because the whole .git/branches/<branch-name> thing is fairly deprecated, 
> > and cannot handle some things that the .git/config file format can (like 
> > saying where to fetch into, or how to push back etc).
> 
> I think Andrew convinced us to undeprecate that format, because he wants 
> to be able to configure each branch with one line in a separate file. In 
> any case, remote.c takes care of these things seemlessly.
> 

Well I was kinda attached to the old format but my world wouldn't end
if it went away.

Judging from the Next/Trees contents, I suspect that Stephen uses the old
convenient/compact/one-per-file form too.